> For the complete documentation index, see [llms.txt](https://developers.bloomcredit.io/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://developers.bloomcredit.io/enablement-services/models/tradeline.md).

# Tradeline

'object'

The tradeline object.

## Fields

`id` : `ID!`\
Unique identifier.

***

`merchant`: `String!`\
The merchant name.

***

`category` : [TradelineCategory!](/enablement-services/models/tradeline/tradelinecategory.md)

***

`isOpen` : `Boolean!`\
Whether or not this tradeline has been attested to.

***

`isEligible` : `Boolean!`\
Whether or not this tradeline is eligible to be reported to the credit bureaus.

***

`attestation` : [Attestation](/enablement-services/models/opentradelineoutput/attestation.md)

***

`paymentFrequency` : [PaymentFrequency](/enablement-services/models/paymentfrequency.md)

***

`serviceAddress` : `String`\
Address associated with the tradeline.

***

`servicePhone` : `String`\
Phone number associated with the tradeline.

***

`leaseStartDate` : `String`\
If tradeline is that of `RENT`the lease start date should be provided.

***

`utilityTypes` : `[`[UtilityType!](/enablement-services/models/utilitytype.md) `]`\
The different utility types covered by this tradeline.(can be more than one)

***

`serviceAddressType` : `String`\
See [AddressType](/enablement-services/models/address/addresstype.md)

***

`createdAt` : `Time!`

***

`updatedAt` : `Time!`

***

`transactions(input`:[TransactionsInput!](/enablement-services/models/transactionsinput.md) ): [TransactionsConnection!](/enablement-services/models/transactionsconnection.md)\
The transactions for this particular tradeline.


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation by asking a question.

Perform an HTTP GET request on the following URL with the `ask` and `goal` query parameters:

```
GET https://developers.bloomcredit.io/enablement-services/models/tradeline.md?ask=<question>&goal=<user_goal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is what the user is ultimately trying to achieve, the reason they need the answer. Sharing it helps GitBook give you a better, more relevant answer. A goal is most helpful when it describes the outcome the user wants rather than restating the question. For example, with `ask=how do I create an API token`, a goal like `automate deployments from our CI pipeline` lets GitBook tailor the answer to that use case.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
